/*
 *  ===================================================================
 *  Graduate.java: Simple model of a student graduate ...
 *  ===================================================================
 */

package filter02;

public class Graduate {
   private Student name;
   private int     year;
   private double   gpa;

   public Graduate(Student name, int year, double gpa) {
      this.name = name;
      this.year = year;
      this.gpa  = gpa;
   }

   public Student getName(){ 
      return this.name;
   }

   public int getYear(){
      return this.year;
   }

   public double getGPA() {
      return this.gpa;
   }

   // String representation of student graduate ...

   public String toString() {
      StringBuffer buf = new StringBuffer();
      buf.append( String.format("Graduate( name -> %s, year -> %4d, gpa -> %.2f )",
                                name.getName(), year, getGPA() ));
      return buf.toString();
   }
}
