/*
 *  =======================================================================
 *  TestPolyline01.java: Exercise methods in polyline class.
 *
 *  Written By: Mark Austin                                      April 2019
 *  =======================================================================
 */

package geometry;

import java.lang.Math;

public class TestPolyline01 {
   public static void main( String args[] ) {

      System.out.println("Run geometry.TestPolyline01() ...");
      System.out.println("=====================================  ...");

      // Create list of way points ... 

      Polyline poly01 = new Polyline();
      poly01.setName("Greenbelt Road");

      // Create list of way points ... 

      WayPoint pt1 = new WayPoint (  0.0, 200.0);
      pt1.setName("Node 1");

      WayPoint pt2 = new WayPoint (100.0, 100.0);
      pt2.setName("Node 2");

      WayPoint pt3 = new WayPoint (200.0, 100.0);
      pt3.setName("Node 3");

      WayPoint pt4 = new WayPoint (300.0,   0.0);
      pt4.setName("Node 4");

      WayPoint pt5 = new WayPoint (400.0,   0.0);
      pt5.setName("Node 5");

      WayPoint pt6 = new WayPoint (550.0, 150.0);
      pt6.setName("Node 6");

      // Add way points to Polyline ... 

      poly01.add( pt1 );
      poly01.add( pt2 );
      poly01.add( pt3 );
      poly01.add( pt4 );
      poly01.add( pt5 );
      poly01.add( pt6 );

      // Process polyline ...

      poly01.processPathway();

      // Print details of polyline ... 

      System.out.println( poly01.toString() );

      System.out.println("=====================================  ...");
      System.out.println("Done! ...");

   }
}

