/*
 *  =====================================================================================
 *  FilterListOfStrings01.java: Program to filter list of strings (In Java 7 and before).
 *  =====================================================================================
 */

package filter01;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
 
public class FilterListOfStrings01 {
    public static void main(String[] args) {

        System.out.printf("FilterListOfStrings (Java 7) \n");
        System.out.printf("============================ \n");
        System.out.printf("--- Assemble and print list of colors ... \n");

        List<String> list = new ArrayList<String>();
        list.add( "RED" );
        list.add( "BLUE" );
        list.add( "BLACK" );
        list.add( "GREEN" );
        list.add( "BROWN" );
        list.add( "ORANGE" );

        System.out.println(list);
 
        // Iterate through the list 

        System.out.printf("--- Filter list ... \n");

        Iterator<String> itr = list.iterator();
        while (itr.hasNext()) {
            String curr = itr.next();
 
            // filter values that start with `B`

            if (!curr.startsWith("B")) {
                itr.remove();
            }
        }
 
        System.out.println(list);

        System.out.printf("============================ \n");
        System.out.printf("Finished ... \n");
    }
}
