/*
 *  ===================================================================
 *  Student.java: Simple implementation of a student ...
 *  ===================================================================
 */

package filter02;

public class Student extends Person {
   private String school;

   public Student( String name, String school ) {
      super();

      this.name   = name;
      this.school = school;
   }

   // Set/get city name ...

   public void setSchool ( String school ) {
      this.school = school;
   }

   public String getSchool() {
      return this.school;
   }

   // String representation of student ...

   public String toString() {
      StringBuffer buf = new StringBuffer();
      buf.append( String.format("Student( name -> %s, age -> %2d, school -> %s )",
                                name, getAge(), school ));
      return buf.toString();
   }
}
